Status: Work in progress Start date: 11/08/2016
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: MPS Estimated time: 3.00 hours
Target version: Spent time: 0.00 hour
Description

New scale factors from Ning for Ring Pickups 1 & 2 that will require some code modification to support extra coefficients.

History

#1 - 11/08/2016 02:59 PM - John Diamond

Scale factors from Ning:

PXIE Ring Pickup Scaling Factors - 11/3/2016
On front end code:
1. MO1lEPC (Average Current mA) and MO1lEPA (moving average of MO1EPC):

Current_Reading = Cl1 * ( C3 ~ ( C2 * RAW_CURRENT ) ) + C4
Attention: Set D80 Scaling to 1.

2. MO1lEPI (Intensity E10):

INT_Reading = C5 * Current_Reading * GW + C6
Attention: Set D80 Scaling to 1.

3. Intensity Threshold Settings, common unit E10(?) ( P:MPRLT , P:MPRUT ):

I_THR = ( log_base_C3( ( ( Threshold_Setting - C6) / ( GW * C5 ) - C4 ) / Cl ) ) * GWw / C2
Attention: Set D80 Scaling to 1.

RAW_CURRENT: Raw Reading of "Intensity Reading Register" * GW
GW: Raw Reading of "Chopper Gate Width register"

I_THR: Register Value for ( upper and lower ) thresholds.
Threshold_Setting: D80 Setting for Upper and Lower Thresholds

For MO1lEPC, MO1EPA, MO1EPI, MPRLT, MPRUT:

Cl = -0.83655

C2 = 0.0003773625
C3 = 1.7

C4 = 0.092139

C5 = 0.004997418
C6 = 1.445763

For MO2EPC, MO2EPA, MO2EPI, (Lower Threshold Device Name?), (Upper Threshold Device Name?) :

Cl = -0.939618

C2 = 0.0003773625
C3 = 1.7

C4 = 0.139714

C5 = 0.049947

Cé6 = 2.042

#2 - 11/08/2016 03:00 PM - John Diamond
- Status changed from New to Work in progress

- % Done changed from 0 to 90

Done & ready for testing out at PXIE.
#3 -11/10/2016 11:14 AM - John Diamond

PXIE actually wanted the ring pickup thresholds scaled to current, not intensity. Ning came up with new formulas for doing the scaling and revised
the scaling factors -

PXIE Ring Pickup Scaling Factors - 11/3/2016
On front end code:
1. MO1lEPC (Average Current mA) and MO1lEPA (moving average of MO1EPC):

Current_Reading = Cl1 * ( C3 ~ ( C2 * RAW_CURRENT ) ) + C4
Attention: Set D80 Scaling to 1.

2. MO1lEPI (Intensity E10):

INT_Reading = C5 * Current_Reading * GW + C6
Attention: Set D80 Scaling to 1.

3. Intensity Threshold Settings, common unit E10 ( P:MPRLT , P:MPRUT ):

I_THR = ( log_base_C3( ( ( Threshold_Setting - C6) / ( GW * C5 ) - C4 ) / Cl ) ) * GWw / C2
Attention: Set D80 Scaling to 1.

3a. Current Threshold Settings, common unit mA ( assign P:MPRLT , P:MPRUT to use this):
C_THR = log_base_C3( ( Current_Reading — C4 ) / Cl ) * GW / C2
Attention: Set D80 Scaling to 1.

RAW_CURRENT: Raw Reading of "Intensity Reading Register" * GW

GW: Raw Reading of "Chopper Gate Width register"

I_THR: Register Value for ( upper and lower ) thresholds.

C_THR: Register Value for ( upper and lower ) Current thresholds.
Threshold_Setting: D80 Setting for Upper and Lower Thresholds

For MOlEPC, MOlEPA, MOlEPI, MPRLT, MPRUT:

Cl = -0.83655

C2 = 0.0003773625
C3 = 1.7

C4 = 0.092139

C5 = 0.004997418
Co6 = 1.445763

For MO2EPC, MO2EPA, MO2EPI, MPR2LT, MPR2UT:

Cl = -0.939618

C2 = 0.0003773625
C3 = 1.7

C4 = 0.139714

C5 = 0.049947

Co = 2.042
